> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Mcp Auth Configs

> List all MCP auth configs in the workspace.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/mcp-auth-configs/
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/mcp-auth-configs/:
    get:
      tags:
        - v1
        - protected
        - mcp-auth-configs
      summary: List Mcp Auth Configs
      description: List all MCP auth configs in the workspace.
      operationId: list_mcp_auth_configs_v1_mcp_auth_configs__get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MCPAuthConfigResponse'
                title: Response List Mcp Auth Configs V1 Mcp Auth Configs  Get
                type: array
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    MCPAuthConfigResponse:
      properties:
        auth_type:
          title: Auth Type
          type: string
        config:
          additionalProperties: true
          title: Config
          type: object
        created_at:
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - name
        - description
        - auth_type
        - config
        - created_at
        - updated_at
      title: MCPAuthConfigResponse
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````